> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Complete CLI authentication

> Inspect, claim, or complete a CLI authentication session



## OpenAPI

````yaml /openapi/server.json post /auth/cli/complete
openapi: 3.1.0
info:
  title: Hexclave REST API
  version: 1.0.0
  description: >-
    The Hexclave REST API. All request headers are documented as canonical
    `X-Hexclave-*`; the equivalent `X-Stack-*` aliases are accepted on every
    endpoint for backwards compatibility. Response headers
    `X-Hexclave-actual-status`, `X-Hexclave-known-error`, and
    `X-Hexclave-request-id` are emitted alongside their legacy `X-Stack-*`
    equivalents.
servers:
  - url: https://api.hexclave.com/api/v1
    description: Hexclave REST API
security: []
paths:
  /auth/cli/complete:
    post:
      tags:
        - CLI Authentication
      summary: Complete CLI authentication
      description: Inspect, claim, or complete a CLI authentication session
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                login_code:
                  type: string
                mode:
                  type: string
                  enum:
                    - check
                    - claim-anon-session
                    - complete
                  default: complete
                refresh_token:
                  type: string
              required:
                - login_code
              example: {}
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                required:
                  - success

````